package betterwithmods.client.container.bulk;

import betterwithmods.BWMod;
import betterwithmods.common.blocks.mechanical.tile.TileEntityFilteredHopper;
import net.minecraft.client.gui.inventory.GuiContainer;
import net.minecraft.client.resources.I18n;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.util.ResourceLocation;
import org.lwjgl.opengl.GL11;

public class GuiFilteredHopper extends GuiContainer {
    private final TileEntityFilteredHopper tile;

    public GuiFilteredHopper(EntityPlayer player, TileEntityFilteredHopper tile) {
        super(new ContainerFilteredHopper(player, tile));
        this.field_147000_g = 193;
        this.tile = tile;
    }

    @Override
    protected void func_146979_b(int x, int y) {
        String s = I18n.func_135052_a(tile.getName());
        this.field_146289_q.func_78276_b(s, this.field_146999_f / 2 - this.field_146289_q.func_78256_a(s) / 2, 6, 4210752);
    }

    @Override
    protected void func_146976_a(float f,
                                                   int x, int y) {
        GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
        this.field_146297_k.field_71446_o.func_110577_a(new ResourceLocation(BWMod.MODID, "textures/gui/hopper.png"));

        int xPos = (this.field_146294_l - this.field_146999_f) / 2;
        int yPos = (this.field_146295_m - this.field_147000_g) / 2;
        func_73729_b(xPos, yPos, 0, 0, this.field_146999_f, this.field_147000_g);

        if (tile.power > 0) {
            func_73729_b(xPos + 80, yPos + 18, 176, 0, 14, 14);
        }

    }
}
